#ifndef _QrEncode_QrEncode_h
#define _QrEncode_QrEncode_h

#include <Core/Core.h>
#include <Draw/Draw.h>

using namespace Upp;

class QrEncode {
	typedef QrEncode CLASSNAME;
	public:
		QrEncode();
	protected:
		int errorlevel;
		int version;
		int pixelsize;
		int hint;
		bool casesensitive;
		int layer;
		int border;
		String error;
		
		Size is;
	public:
		void ErrorLevel(int e)		{errorlevel = e;}
		void Version(int v)			{version = v;}
		void PixelSize(int p)		{pixelsize = p;}
		void Border(int b)			{border = b;}
		void Hint(int h)			{hint = h;}
		void CaseSensitive(bool c)	{casesensitive = c;}
		void Layer(int l)			{layer = l;}
		String GetError()			{return  error;}
		
		Image QrEncode_To_Image(String s1);
};

#endif
